org.jfree.data.general

## Interface SeriesChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractSeriesDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultIntervalCategoryDataset, DefaultIntervalXYDataset, DefaultOHLCDataset, DefaultTableXYDataset, DefaultWindDataset, DefaultXYDataset, DefaultXYZDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, NonGridContourDataset, OHLCSeriesCollection, SimpleHistogramDataset, SubSeriesDataset, TaskSeriesCollection, TimePeriodValuesCollection, TimeSeriesCollection, TimeSeriesTableModel, TimeTableXYDataset, VectorSeriesCollection, XIntervalSeriesCollection, XYBarDataset, XYIntervalSeriesCollection, XYSeriesCollection, XYTaskDataset, YIntervalSeriesCollection

    public interface SeriesChangeListener
    extends java.util.EventListener

Methods for receiving notification of changes to a data series.

### Method Summary

Methods
`void` `seriesChanged(SeriesChangeEvent event)` Called when an observed series changes in some way.

### Method Detail

#### seriesChanged

    void seriesChanged(SeriesChangeEvent event)

Called when an observed series changes in some way.

Parameters:
  `event` - information about the change.